Bug 429897 - OpenOffice cannot Print Directly to custom printer
OpenOffice cannot Print Directly to custom printer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 12:44 EST by Ian Collier
Modified: 2008-05-17 18:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.3.0-6.8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 553330 (view as bug list)
Environment:
Last Closed: 2008-05-17 18:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2008-01-23 12:44:55 EST
Description of problem:

OK so Bug 286221 was fixed a while ago (thanks) but I've discovered that the
Print Directly button doesn't work.  (My unwarranted speculation is that this
may be related to the fact that Edit -> Printer Settings does not have a space
to type the print command when editing the Generic Printer.)

From a trace, it appears that OOo is fetching a blank shell command from the
printer info, appending " 2>/dev/null" and executing that.  This of course
doesn't cause anything to be printed.

I think the same also applies to trying to use "ooffice -p" to print things from
the command line.

Version-Release number of selected component (if applicable):
2.3.0-6.5.fc7

How reproducible:
Always

Steps to Reproduce:
1. Disable CUPS server
2. echo 'gtk-print-backends = "lpr,file"' >> /etc/gtk-2.0/gtkrc
3. oowriter
4. type some characters
5. Press the printer icon in the toolbar
  
Actual results:
A dialogue box flashes up so quickly it can't be seen.
No printout appears.

Expected results:
A printed document.
Comment 1 Caolan McNamara 2008-01-24 11:27:03 EST
Hmm, quite possibly. Let me see if I can get it to happen here.
Comment 2 Caolan McNamara 2008-01-24 13:53:42 EST
I think I have it, fix checked into all branches. Will be in >= 2.3.0-6.6 if we
make another release for F-7
Comment 3 Ian Collier 2008-01-29 07:37:53 EST
That does indeed appear to make it print - thanks.  (It works from the command
line too.)

This is a bit cheeky but there are a few more trivial issues which don't seem
worth bugzilla entries of their own - feel free to ignore if there isn't a
simple answer:
 - "Print to LPR" does save the shell command in the user's psprint.conf file,
but it doesn't seem to put the command back in the text entry box if you restart
OpenOffice.
 - It also doesn't remember the paper size (and doesn't record it in psprint.conf).
 - Is there a way to choose the vanilla OpenOffice print dialogue? (I think
there used to be, but I can't find it any more)
 - Failing that, is it possible to add a "print the current selection" option to
the GTK print dialogue?

Sorry about all that, but thanks again for the fix.
imc
Comment 4 Caolan McNamara 2008-01-29 07:57:32 EST
- I'd reckon that it might be ideal if the gtk-unix-print did that for us
automatically, you should find that the same thing happens in e.g. evince,
except maybe even worse. Though we could probably work around it in OOo, as you
say we've cached the info so we could force it back into position.
- Same sort of problem as above, though the paper size example is fairly limited
in use in practise as most of the OOo apps have per-page ability, so e.g. writer
and impress override it per-page anyway. Only things like math don't, or special
features like a brochure in writer where multiple pages are stuck onto one
physical page of that paper size.
- I've a bug opened against the gtk-unix-print dialog in gnome about that, Its a
real annoying one.
- tools->options->general->use openoffice.org dialogs or someplace close to that
should toggle it back.

Remind me again, why the lpr backend and not the default cups one ? What's the
root reason ?
Comment 5 Ian Collier 2008-01-29 09:21:10 EST
Ah... apparently it's not showing me that option because I'm not using GNOME. 
If I start GNOME, tick the option, then return to my fvwm desktop it will still
obey the option despite not showing it to me in the dialogue box.

The short answer to your question is because all our printers are served by
networked Solaris LPD servers and they are unlikely to be upgraded to CUPS in
the near future.  It's not worth running a CUPS server on the local machine
because, although CUPS does support LPD protocol after a fashion, it doesn't
support it all that well.

Thanks for answering my annoying questions - I'm happy for now. :-)
Comment 8 Fedora Update System 2008-03-19 15:10:38 EDT
openoffice.org-2.3.0-6.6.fc7 has been submitted as an update for Fedora 7
Comment 9 Fedora Update System 2008-03-21 18:04:26 EDT
openoffice.org-2.3.0-6.6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2561
Comment 10 Fedora Update System 2008-04-08 14:38:33 EDT
openoffice.org-2.3.0-6.7.fc7 has been submitted as an update for Fedora 7
Comment 11 Fedora Update System 2008-04-17 14:42:16 EDT
openoffice.org-2.3.0-6.7.fc7 has been submitted as an update for Fedora 7
Comment 12 Bug Zapper 2008-05-14 11:16:49 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora Update System 2008-05-17 18:25:58 EDT
openoffice.org-2.3.0-6.8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.